// This file is part of Applet Manager.
//
// Applet Manager is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// Applet Manager is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Applet Manager; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef APPLETMANAGER_H
#define APPLETMANAGER_H

#include "appletmgr.h"
#include <qstring.h>

class AppletManager : public AppletMgrBase
{
    Q_OBJECT

public:
    AppletManager( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~AppletManager();

private:
    QString readPath;
    QString lastGood;
    void closeEvent( QCloseEvent *e );

private slots:
    void cmdSetPath_clicked();
    void cmdEnableSel_clicked();
    void cmdDisableSel_clicked();

};

#endif
